A package of Syncfusion Blazor Components.

## List of Components:
* [Dialog](https://www.syncfusion.com/blazor-components/blazor-modal-dialog?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-popups-nuget)
* [Tooltip](https://www.syncfusion.com/blazor-components/blazor-tooltip?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-popups-nuget)


## [Dialog](https://www.syncfusion.com/blazor-components/blazor-modal-dialog?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-popups-nuget)

The Blazor Dialog component displays important information or gets input from the users. This component supports modal/non-modal (modeless), built-in buttons, positioning, animation, draggable, and template features. It helps create alert, prompt, and confirmation dialogs easily.

### Key features

* **Modal** - The modal dialogue prevents interaction with the parent window.
* **Positioning** - Supports customization of its display position.
* **Animation** - Applies animation effects on opening and closing the dialog.
* **Template** - Provides an option to customize its header and footer.
* **Built-in buttons** - Provides a built-in support to add buttons with its properties.

## [Tooltip](https://www.syncfusion.com/blazor-components/blazor-tooltip?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-popups-nuget)

The Blazor Tooltip is a pop-up that shows information or a message when users hover, click, focus, or touch an image, button, anchor tag, etc. The information displayed in the Tooltip can include simple text, images, hyperlinks, or custom templates.

### Key features
* [Positions](https://blazor.syncfusion.com/documentation/tooltip/position/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-popups-nuget) - Allows you to display the tooltip in 12 different positions.
* **Animation** - Supports animation effects while showing/hiding the tooltip.
* [Content](https://blazor.syncfusion.com/documentation/tooltip/content/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-popups-nuget) - Assigns with static text, template, or loaded dynamically via AJAX.
* [Opening modes](https://blazor.syncfusion.com/documentation/tooltip/open-mode/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-popups-nuget) - Supports four opening modes such as hover, click, focus, and custom.
* **Smart positioning** - Supports auto tip positioning.
* **Mouse trail** - Moves along with mouse pointer using the mouse trailing option.
* **Sticky mode** - Opens in sticky mode, and allows you to close/hide the Tooltip manually.
* [Template](https://blazor.syncfusion.com/documentation/tooltip/template/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-popups-nuget) - Customize the tooltip layout or to add any custom elements within the tooltip.

## Related links
[Learn More about Blazor UI components](https://www.syncfusion.com/blazor-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-popups-nuget)

[Documentation](https://blazor.syncfusion.com/documentation/dialog/getting-started/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-popups-nuget)

[Release History](https://blazor.syncfusion.com/documentation/release-notes/19.2.49/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-popups-nuget)

[Online Demos](https://blazor.syncfusion.com/demos/dialog/default-functionalities?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-popups-nuget)

[Contact Support](https://www.syncfusion.com/support/directtrac/incidents/newincident/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-popups-nuget)

[Suggest a feature or report a bug](https://www.syncfusion.com/feedback/blazor-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-popups-nuget)

[Pricing](https://www.syncfusion.com/sales/products/blazor?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-popups-nuget)

## About Syncfusion
Founded in 2001 and headquartered in Research Triangle Park, N.C., Syncfusion has more than 23,000+ customers and more than 1 million users, including large financial institutions, Fortune 500 companies, and global IT consultancies.
 
Today, we provide 1600+ controls and frameworks for web ([Blazor](https://www.syncfusion.com/blazor-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-popups-nuget), [ASP.NET Core](https://www.syncfusion.com/aspnet-core-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-popups-nuget), [ASP.NET MVC](https://www.syncfusion.com/aspnet-mvc-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-popups-nuget), [ASP.NET WebForms](https://www.syncfusion.com/jquery/aspnet-webforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-popups-nuget), [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-popups-nuget), [Angular](https://www.syncfusion.com/angular-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-popups-nuget), [React](https://www.syncfusion.com/react-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-popups-nuget), [Vue](https://www.syncfusion.com/vue-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-popups-nuget), and [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-popups-nuget)), mobile ([Xamarin](https://www.syncfusion.com/xamarin-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-popups-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-popups-nuget), [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-popups-nuget), and [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-popups-nuget)), and desktop development ([Windows Forms](https://www.syncfusion.com/winforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-popups-nuget), [WPF](https://www.syncfusion.com/wpf-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-popups-nuget), [WinUI(Preview)](https://www.syncfusion.com/winui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-popups-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-popups-nuget) and [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-popups-nuget)). We provide ready-to-deploy enterprise software for dashboards, reports, data integration, and big data processing. Many customers have saved millions in licensing fees by deploying our software.

		
This is a commercial product and requires a paid license for possession or use. Syncfusion’s licensed software, including this component, is subject to the terms and conditions of [Syncfusion's EULA](https://www.syncfusion.com/eula/es/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-popups-nuget). To acquire a license, you can purchase one [here]( https://www.syncfusion.com/sales/products?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-popups-nuget) or start a free 30-day trial [here](https://www.syncfusion.com/account/manage-trials/start-trials?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-popups-nuget).

___

[sales@syncfusion.com](mailto:sales@syncfusion.com?Subject=Syncfusion%20Blazor%20Popups%20-%20NuGet) | [www.syncfusion.com](https://www.syncfusion.com?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-popups-nuget) | Toll Free: 1-888-9 DOTNET

© Copyright 2021 Syncfusion, Inc. All Rights Reserved. The Syncfusion Essential Studio license and copyright applies to this distribution.